%global __requires_exclude ^perl\\(File::Spec\\)$

Summary:        Print a usage message from embedded POD documentation
Name:           perl-Pod-Usage
Version:        2.03
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Usage
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/Pod-Usage-%{version}.tar.gz

BuildRequires:  make coreutils perl-generators perl-interpreter
# For scripts/pod2usage.PL 
BuildRequires:  perl(Config) perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Basename) perl(File::Spec) >= 0.82
BuildRequires:  perl(strict) perl(warnings)

# Run-time:
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Carp) perl(Exporter)
BuildRequires:  perl-Pod-Perldoc perl(Pod::Text) >= 4

# Tests:
BuildRequires:  perl(blib) perl(FileHandle) 
BuildRequires:  perl(Pod::Perldoc) >= 3.28 perl(Pod::PlainText)
BuildRequires:  perl(vars) perl(Test::More) >= 0.6

BuildArch:      noarch

Requires:       perl(File::Spec) >= 0.82
Requires:       perl-Pod-Perldoc perl(Pod::Text) >= 4

%description
pod2usage will use its embedded POD documentation to print a usage message 
for the invoking script and then exit the script with the desired exit status. 
The usage message printed may have any one of three levels of "verboseness": 
If the verbose level is 0, then only a synopsis is printed. If the verbose level 
is 1, then the synopsis is printed along with a description (if present) of 
the command line options and arguments. If the verbose level is 2, then the 
entire manual page is printed.

%prep
%autosetup -n Pod-Usage-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.03-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.03-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.03-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.03-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 Cheng Xin <denisecheng@tencent.com> - 2.03-1
- package init.
